module Richpresence
  class Errors
    ERRORS = {
      UNKNOWN_ERROR: 1000,
      INVALID_PAYLOAD: 4000,
      INVALID_VERSION: 4001,
      INVALID_COMMAND: 4002,
      INVALID_GUILD: 4003,
      INVALID_EVENT: 4004,
      INVALID_CHANNEL: 4005,
      INVALID_PERMISSIONS: 4006,
      INVALID_CLIENTID: 4007,
      INVALID_ORIGIN: 4008,
      INVALID_TOKEN: 4009,
      INVALID_USER: 4010,
      INVALID_INVITE: 4011,
      INVALID_ACTIVITY_JOIN_REQUEST: 4012,
      OAUTH2_ERROR: 5000,
      SELECT_CHANNEL_TIMED_OUT: 5001,
      GET_GUILD_TIMED_OUT: 5002,
      SELECT_VOICE_FORCE_REQUIRED: 5003,
      CAPTURE_SHORTCUT_ALREADY_LISTENING: 5004,
      RICH_PRESENCE_INVALID_SECRET: 5005
    }.freeze

    def self.parse_error_code(error_code)
      ERRORS.each do |error, code|
        return error if code == error_code
      end
    end
  end
end
